Bug 188483 - lvm-related kernel panic on viper during the first reboot after installation
lvm-related kernel panic on viper during the first reboot after installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
Brian Brock
: Desktop
Depends On:
Blocks: 207538
  Show dependency treegraph
 
Reported: 2006-04-10 11:23 EDT by Suzanne Hillman
Modified: 2013-02-28 23:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 08:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-04-10 11:23:09 EDT
Description of problem:
lvm-related kernel panic on viper during the first reboot after installation.

Version-Release number of selected component (if applicable):
Don't know? It's FC-5 GOLD.

How reproducible:
Always

Steps to Reproduce:
1. Get a viper (the one I'm testing with is in the Westford office)
2. Install FC-5.
3. Reboot when it tells you to.
  
Actual results:
(the following was captured via serial console, so some stuff did not make it to
the console, specifically, the /sbin/lvm errors. They were very non-specific
errors, but I can reproduce when in the office tomorrow and copy them down if
needed)

powernow-k8: init not cpu 0
powernow-k8: init not cpu 0
Red Hat nash version 4.2.1.6 starting
  Reading all physical volumes.  This may take a while...
  Found volume group "VolGroup01" using metadata type lvm2
  Couldn't find device with uuid 'wdLUK3-Uw50-6oMy-yaUj-R9o9-jgQY-b0fyPp'.
  Couldn't find all physical volumes for volume group VolGroup00.
  Couldn't find device with uuid 'wdLUK3-Uw50-6oMy-yaUj-R9o9-jgQY-b0fyPp'.
  Couldn't find all physical volumes for volume groupKernel panic - not
syncin! VolGroup00.
   Volume group "Vo

Expected results:
No lvm troubles with finding the physical volumes, therefore no related kernel
panic.

Additional info:
Comment 1 Milan Broz 2006-04-24 09:31:43 EDT
Changed assignment and component.
Comment 2 Alasdair Kergon 2006-04-24 10:04:09 EDT
This is a common problem when installing onto a system that already had some
LVM2 data on some of its disks that wasn't wiped first.  The latest lvm2 package
(2.02.05) should help anaconda and the initrd handle this better in future.
Comment 3 Milan Broz 2007-11-02 08:39:02 EDT
I hope that problem with residual metadata from some previous installation is
now handled correctly during install process.

Please, if you see this bug again, please submit report for recent Fedora
version, thanks.

Note You need to log in before you can comment on or make changes to this bug.